# BEGIN SourceDeps(oneline):
BuildRequires: perl(Devel/CheckLib.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:		perl-Text-Hunspell
Version:	2.07
Release:	alt1_1
Summary:	Perl interface to the Hunspell library
Group:		Development/Perl
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/text_hunspell/
Source0:	http://search.cpan.org/CPAN/authors/id/C/CO/COSIMO/Text-Hunspell-%{version}.tar.gz
BuildRequires:	perl(Data/Dumper.pm)
BuildRequires:	perl(ExtUtils/MakeMaker.pm)
BuildRequires:	perl(File/Spec.pm)
BuildRequires:	perl(Test/More.pm)
BuildRequires:	perl(Test/Pod.pm)
BuildRequires:	gcc-c++ libhunspell-devel hunspell-utils hunspell-en

# Don't "provide" private Perl libs

Source44: import.info

%description
This module provides a Perl interface to the Hunspell library. This module
is to meet the need of looking up many words, one at a time, in a single
session, such as spell-checking a document in memory.

%prep
%setup -q -n Text-Hunspell-%{version}

%build
HUNSPELL_LIB_NAME=$(pkg-config --libs hunspell | sed 's/-l//; s/[[:space:]]*$//')
perl -pi -e "s/'hunspell'/'${HUNSPELL_LIB_NAME}'/" Makefile.PL INSTALLMAN1DIR=%_man1dir t/00-prereq.t
perl Makefile.PL INSTALLMAN1DIR=%_man1dir \
	INSTALLDIRS=vendor \
	LIBS="-l${HUNSPELL_LIB_NAME}" \
	OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
# %{_fixperms} %{buildroot}

%check
LANG=en_US make test TEST_POD=1 TEST_VERBOSE=1

%files
%doc Changes README examples/
%{perl_vendorarch}/auto/Text/
%{perl_vendorarch}/Text/

%changelog
* Tue Apr 02 2013 Igor Vlasenko <viy@altlinux.ru> 2.07-alt1_1
- update to new release by fcimport

* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 2.06-alt1_1
- update to new release by fcimport

* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 2.05-alt1_2
- update to new release by fcimport

* Mon Sep 24 2012 Igor Vlasenko <viy@altlinux.ru> 2.05-alt1_1
- update to new release by fcimport

* Mon Sep 10 2012 Cronbuild Service <cronbuild@altlinux.org> 2.03-alt2_5
- rebuild with new perl

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 2.03-alt1_5
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 2.03-alt1_2
- fc import

